create a special role for clients
2009-11-30 09:44 - Diana Susca

Status: New Start date: 2009-11-30
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour
Target version:

Resolution:

Description

The client should not see the inner-workings of the projects:

When he adds an issue, he should only set the version, the priority, the category of the issue.

He should not know who it will be assigned to, or what are the names of the possible assignees - or he should see as possible
assignees members of a "support group". He shouldn't know the names of the project members.

He should not have be able to set a start/due date, but if they are set, it's all right if he could see them.

There should be two "threads" of conversations over the issue: The notes/questions that the client exchanges with the developers,
and the notes that are exchanged between developers - the client should not have access to that conversation.

So it's sort of a "blind" user - just issue poster, with very limited (customizable) views.

History

#1 - 2009-11-30 15:43 - Robert Chady
| doubt this type of functionality will ever make its way in to Redmine core. Most of what you want can be done with a custom plugin that overrides the

various views based on your own specific needs. The issue is that this is very user specific. If you need this type of customization, your best bet is to

take some of the plugins that exist already and include them with your own custom modifications in a plugin.

#2 - 2009-11-30 20:36 - Jean-Philippe Lang

- Category changed from Groups to Issues permissions

#3 - 2009-12-02 21:49 - Michael Koch

Cant you just set up a Role for that?

Goto your admin settings -> Roles & Permissions -> New Role

#4 - 2009-12-02 22:40 - Robert Chady

What he is asking for requires custom work that just creating a role does not give you. Sure, you can create a new role, but it does you little good

when the desired functionality as described in the initial posting is not controllable by just permissions.

#5 - 2009-12-03 00:32 - Andrea Saccavini

The role "client" is very interesting for me too and it can not be made using permissions.
Another feature connected to the role is the possibility to enable e-mai notification in relation to the states the client can view.
#6 - 2009-12-03 07:51 - Diana Susca

yes, | think it is a very specific request, it was a long shot to ask for it :). initially i thought of a plugin but | saw that there were none to match this, and |

have no idea what ruby is about so | can't implement it myself.

roles can't restrict the items a user can see in the interface or the content of the drop-downs.

#7 - 2009-12-03 16:01 - Alain V.
| have the same type of request about this blind user.
That type of user is a need for me.

Considering this feature is not to be considered, any suggestion of useful plugins to set this type of user?
Thankx

#8 - 2010-01-12 03:51 - Matthew Connerton
- File _form.rhtml added

| have "accomplished" this by creating a role "Client" and then modifying the issue view in /app/views/issues/_form.rhtml and added snippets of code

such as:

<% if role.name != "Client" %>

[html i don't want clients to see]

<% end %>

However, | am NOT a rails developer in the least and am sure this is a more graceful way of doing this. | am just ignorant to it. | have attached my

_form.rhtml file for reference. It would be nice if someone could point us in the right direction for correctly modifying the view.

#9 - 2010-04-02 20:57 - lori dunkin

| have a need for a client role as well and have setup a special role for this but would want this role to only see issues they create or get assigned and

none of the issues between the rest of the project team.

When | add this "client role" into a project, they have the ability to view all issues.

My current workaround is to add a specific project for just "client requests" and create duplicate subprojects but that requires a lot of moving tickets

back and forth and doesn't seem as elegant as being able to simply have a role that can only see tickets they initiate or are assigned.

#10 - 2010-04-24 07:46 - Oleg Volkov

You can create a subproject and for each issue the client to create a issue in the subproject.

Files

_form.rhtml 3.35 KB 2010-01-12 Matthew Connerton
